function edit_hook

tag=get(gcbo,'Tag');

params=get(gcf,'UserData');
if strcmp(get(gcbo,'Style'),'edit'),
	eval(['params.' tag '= get(gcbo,''String'');']);
elseif strcmp(get(gcbo,'Style'),'checkbox'),
	eval(['params.' tag '= get(gcbo,''Value'');']);
elseif strcmp(get(gcbo,'Style'),'radiobutton'),
	eval(['params.' tag '= get(gcbo,''Value'');']);
	others = get(gcbo,'UserData');
	n =size(others,1);
	for i=1:n,
		set(others(i),'Value',0);
		eval(['params.' get(others(i),'Tag') '= 0;']);
	end
end

set(gcf,'UserData',params);
	
